Skip to content

Delete Profile

DELETE
/api/v1/projects/{project_id}/profiles/{profile_id}
curl --request DELETE \
--url https://api.totalview.energy/api/v1/projects/example/profiles/example \
--header 'Authorization: Bearer <token>'

Delete a generation profile.

project_id
required
Project Id
string
profile_id
required
Profile Id
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}